Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class TransactionIdentifier1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.TransactionIdentifier1

public class TransactionIdentifier1 extends Object

Java class for TransactionIdentifier1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionIdentifier1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TxDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISODateTime"/>
             <element name="TxRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`txDtTm`
`protected String`
`txRef`

## Constructor Summary

Constructors
Constructor
Description
`TransactionIdentifier1()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getTxDtTm()`
Gets the value of the txDtTm property.
`String`
`getTxRef()`
Gets the value of the txRef property.
`void`
`setTxDtTm(XMLGregorianCalendar value)`
Sets the value of the txDtTm property.
`void`
`setTxRef(String value)`
Sets the value of the txRef property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### txDtTm

protected XMLGregorianCalendar txDtTm

### txRef

protected String txRef

## Constructor Details

### TransactionIdentifier1

public TransactionIdentifier1()

## Method Details

### getTxDtTm

public XMLGregorianCalendar getTxDtTm()
Gets the value of the txDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setTxDtTm

public void setTxDtTm(XMLGregorianCalendar value)
Sets the value of the txDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getTxRef

public String getTxRef()
Gets the value of the txRef property.

Returns:
  possible object is `String`

### setTxRef

public void setTxRef(String value)
Sets the value of the txRef property.

Parameters:
  `value` - allowed object is `String`